<!--.... Bus Arrival schedule ......-->


<div class="busFilterMain moreBtm">

    <div class="heading subNormal marginBtm whiteFont" ng-if="!admin">BUS ARRIVAL SCHEDULE</div>

    <div class="">
        <div class="floatRight marginTop" ng-if="busEntryExitDetails.busExitFlag">
            <div class="btn clearArrBtn midBlock small">Clear Arrival</div>
            <!--              <div class="dropDown midBlock small marginLeft">
                               <div class="head" data-init=0>
                                    <div class="headTitle">All lanes</div>
                                    <div class="sign">
                                         <img src="images/dropDown.png" alt=""/>
                                    </div>
                                    <span class="clear"></span>
                               </div>
                               <ul class="list">
                                    <li>Lane 1</li>
                                    <li>Lane 2</li>
                                    <li>Lane 3</li>
                               </ul>
                          </div>-->
        </div>
        <span class="clear"></span>


        <div class="busList">
            <!--<div class="mainSummary marginBtm">-->
            <!--<div class="content midBlock">-->

            <!--</div>-->
            <!--<div class="divider"></div>-->
            <!--<div class="timeIndicator leftTxt smallest">-->
            <!--<div class="midBlock"> {{entranceDate|date:'mediumTime'}}</div>-->
            <!--<div class="midBlock indicatorDot red marginLeftSrt" ng-if="!busEntryExitDetails.busEntryDataReceiveStatus"></div>-->
            <!--<div class="midBlock indicatorDot green marginLeftSrt" ng-if="busEntryExitDetails.busEntryDataReceiveStatus"></div>-->
            <!--</div>-->
            <!--</div>-->
            <div class="dataTable taxiTable arrDepTable">
                <div class="dataRow subNormal"
                     ng-repeat="busArrived in busEntryExitDetails.busEntry | orderBy: '-date' | limitTo: 10">
                    <ul class="rowCont">
                        <li class="np">
                            <div class="licensePlate">
                                <img src="images/numberPlate.png" alt="" class="npImg">
                                <div class="licenseNum">1261</div>  <!--busArrived.plateNumber-->
                            </div>
                        </li>
                        <li class="carNumMain">
                            <div class="car">
                                <div class="carNum">325</div>
                                <img src="images/carGold.png" alt="">
                            </div>
                        </li>
                        <li class="arrival">
                            Arrival - {{busArrived.date | date:'HH:mm'}}
                        </li>
                        <li class="driver">
                            Driver - John Vincent
                        </li>

                        <span class="clear"></span>
                    </ul>
                </div>
            </div>

            <div class="userMsg marginTop" ng-if="busEntryExitDetails.busEntryClearFlag">
                <div class="txt">Bus arrival data cleared</div>
            </div>

        </div>

        <!--.... pagination ...-->
        <ul class="pagination marginTop">
            <li class="active" ng-click="getPreviousPageData('arr',busEntryExitDetails.busEntryPageSelected)"
                ng-hide="busEntryExitDetails.busEntryPageSelected==1"><<
            </li>
            <li ng-class="{active: $index+1 == busEntryExitDetails.busEntryPageSelected}"
                ng-repeat="busEntryCount in range(busEntryExitDetails.busEntryCountPageNo) track by $index"
                ng-click="setPageNoForArrival($index+1)">
                {{$index+1}}
            </li>
            <li class="active" ng-click="getNextPageData('arr',busEntryExitDetails.busEntryPageSelected)"
                ng-show="busEntryExitDetails.busEntryCompleteCount>10">>>
            </li>
        </ul>


    </div>
</div>


<!--........ Delete User ........-->
<div class="clearArr popup">
    <div class="popupCont">
        <div class="txt">Do you want to clear arrival list</div>
        <div class="formBtns small">
            <div class="save close btn midBlock marginRgt" ng-click="clearBusArrival()">Clear</div>
            <div class="close btn midBlock">Cancel</div>
        </div>
    </div>
</div>